body, html {
  height: 100vh;
  overflow: hidden;
}


.container {
  max-width: 1692px;
  margin: 10rem auto 2rem;
  padding-inline: clamp(1rem, 2vw, 2rem);
}

.grid {
  display: grid;
  grid-template-columns: 1fr 2.25fr;
}

.info {
  color: #666;
  font-size: 14px;
}
.info-section {
  color: var(--primary-color);
  font-size: 24px;
  font-style: normal;
  font-weight: 200;
  line-height: 28px;
  letter-spacing: -2%;
  margin-bottom: 80px;
  padding-right: 5.75rem;
}
.info-title {
  color: var(--footer-text-secondary);
  /* margin-bottom: 0.5rem; */
}
.info strong {
  display: block;
}

.social-info .info-title {
  margin-bottom: 0.5rem;
  color: var(--secondary-color);
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  letter-spacing: -4%;
  text-transform: capitalize;
}
.social-info .socials {
  display: flex;
  gap: 1.25rem;
  margin-top: 10px;
}
.form {
  border-left: 1px solid var(--clients-bg);
  /* padding-left: 5.75rem; */
  padding-left: clamp(2rem, 5vw, 5.75rem);
}
.form .title {
  margin-bottom: 2rem;
  border-bottom: 1px solid var(--clients-bg);
  padding-bottom: 1rem;
}
.form h1 {
  font-family: "Acumin Pro", Arial, Helvetica, sans-serif;
  font-size: clamp(48px, 5vw, 65px);
  font-style: normal;
  font-weight: 700;
  line-height: clamp(48px, 5vw, 65px);
  letter-spacing: -4.55px;
  text-wrap: pretty;
  /* max-width: 24rem; */
  margin: 0;
}

.form-group {
  /* margin-bottom: 30px; */
  margin-bottom: clamp(1rem, 2.5vh, 2rem);
  position: relative;
}

input,
textarea {
  width: 100%;
  border: none;
  border-bottom: 1px solid var(--clients-bg);
  padding: 10px 0;
  background: transparent none;
  outline: none;
  color: var(--primary-color);

  font-family: "degular", sans-serif;
  font-size: 1.5rem;
  font-style: normal;
  font-weight: 400;
  /* line-height: 3.75rem; */
  line-height: clamp(2.25rem, 3.5vh, 3.75rem);
  letter-spacing: -0.045rem;
  transition: border-color 0.3s ease;
}

input:focus,
textarea:focus {
  border-color: #000;
}

.error {
  font-size: 12px;
  color: coral;
  position: absolute;
  bottom: -18px;
  left: 0;
  opacity: 0;
  transition: all 0.5s ease;
}

textarea {
  height: 120px;
  resize: none;
}

.submit-btn {
  /* margin-top: 1rem; */
  /* border: 1px solid var(--secondary-color); */
  color: var(--footer-text);
  border-radius: 70px;
  cursor: pointer;
  background: var(--primary-color);
  transition: 0.3s;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  letter-spacing: -0.64px;
  display: inline-flex;
  height: 56px;
  padding: 10px 20px;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
}
/* .submit-btn:hover {
  background: var(--secondary-color);
} */

form .mag-zone,
.form .mag-zone {
  /* width: auto; */
  height: auto;
  padding-block: 2rem;
  left: -4rem;
}

.form-status {
  margin-top: 1rem;
  font-size: 14px;
  color: var(--secondary-color);
}
.is-success {
  color: forestgreen;
}
.is-error {
  color: coral;
}

@media screen and (max-width: 1600px) {
  .container {
    max-width: 92%;
  }
  .info-section {
    margin-bottom: 7.5dvh;
    font-size: 20px;
    line-height: 24px;
  }
  .info-section strong {
    font-weight: 200;
  }
  .form h1 {
    font-size: 42px;
    line-height: 90%;
    letter-spacing: -2.25px;
    /* max-width: none; */
  }
  .form .title {
    margin-bottom: 1rem;
    padding-bottom: 0;
    border-bottom: none transparent;
  }
  .form-group {
    margin-bottom: 1.5dvh;
  }
  .form input,
  .form textarea {
    font-size: 1.125rem;
    line-height: 2rem;
  }
  .form textarea {
    height: 15vh;
  }
}

@media (max-width: 800px) {
  body, html {
    height: auto;
    overflow: auto;
  }
  .container {
    margin: 8rem auto 2rem;
    max-width: max-content;
  }
  .grid {
    /* grid-template-columns: 1fr; */
    display: flex;
    flex-direction: column-reverse;
    gap: 5rem;
  }
  .info-section {
    padding-right: 2.5rem;
    margin-bottom: 2rem;
  }
  .form {
    border-left: none;
    padding-left: 0;
  }
  .form h1 {
    /* font-size: 32px; */
    line-height: normal;
    letter-spacing: -2.25px;
  }
}
